
// CCCDlg.h : header file
//

#pragma once


// CCCCDlg dialog
class CCCCDlg : public CDialogEx
{
// Construction
public:
	CCCCDlg(CWnd* pParent = nullptr);	// standard constructor

// Dialog Data
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CCC_DIALOG };
#endif

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButton1();
	CStatic m_cPic1;
	CString m_sPath;
	CImage m_image;
	afx_msg void OnBnClickedEncode();
	RGBQUAD m_palette[256];
	int PickBestPaletteMatch(int r1, int g1, int b1);
	afx_msg void OnBnClickedSavebmpbutton();
	CString m_sFilename;
	afx_msg void OnBnClickedSavedatabutton();
	unsigned char m_bits[1080 * 1920 / 4];  //the 1 bpp bitmap data
	unsigned char m_colors[2*1080 * 1920 / 16]; //the two color indexes for every tile

	afx_msg void OnBnClickedOpendatafile();
	int m_nCellX;
	int m_nCellY;
};
